#!/bin/bash

#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  #
#	  Última actualización: 28-Jul-2011    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	        #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.    #
#	    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.	    #
#	    #
############################################################################# 
### Aporte condicional ffmpeg o avconv ###
# Se agrega la variable $PROGDUR para referenciar al programa que calculará la duración
PROGDUR=$(whereis ffmpeg | awk '{print $2}')
echo "PROGDUR: " $PROGDUR
if [ -n "$PROGDUR" ]
then
        PROGDUR="ffmpeg"
else
        PROGDUR="avconv"
fi
echo "PROGDUR: " $PROGDUR

function tiempo() {
echo "funciontiempo en gradio.sh"
duracion=`$PROGDUR -i "$1"  2>&1 | egrep "Duration" | cut -d ' ' -f 4 | sed s/,//|awk -F. '{print $1}'` 
echo "$duracion" > ~/.gradio/data/tmp/duracion
echo "duracion" $duracion
			IFS=":"
			n=0
			for duracion in $duracion
			do
			dura[$n]=$duracion
			n=$(($n+1))
			done
			IFS=" "
				horas=`expr ${dura[0]} \* 3600`
				minutof=`expr ${dura[1]} \* 60`
				segundos=`echo "(${dura[2]}+0.5)/1"|bc`
				segundos=`echo $minutof + $segundos|bc`
				segundos=`echo $horas + $segundos|bc`
				echo segundos $segundos
				duracion=$segundos
				return $segundos
}

estadotv=`cat ~/.gradio/data/tmp/tvestado`
desplazamiento=`cat ~/.gradio/data/tmp/tvdesplazamiento`
if [[ $estadotv = 1 ]]; then
tvopcion="-fs -geometry $desplazamiento"
fi
					echo "Ini Publi" > ~/.gradio/data/tmp/avance
					echo "<font color='red' size='24'><b>Ini Publicidad</b></font>" > ~/.gradio/data/tmp/avanceweb
entradaespacio=`ls ~/G\ Radio/inicio-espacio-pub/`
tiempo ~/G\ Radio/inicio-espacio-pub/"$entradaespacio"
fundido=`cat ~/.gradio/data/tmp/fundidocomin`
mplayer --quiet $tvopcion -volume 100 ~/G\ Radio/inicio-espacio-pub/"$entradaespacio" > /dev/null 2>&1 &
espera=$(($segundos-$fundido))
echo espera $espera
sleep $espera
#exit 0
